@import "app-variables";
@import "app-mixins";
@import "mixins";

.intro {
  padding: 2rem 0;
  position: relative;
  z-index: 2;

  &__perex {
    margin-top: 2em;
  }

  @include media-breakpoint-up(sm) {
    padding: 4em 0;
  }
}

.nav {
  margin-bottom: 2rem;

  @include media-breakpoint-up(sm) {
    margin-bottom: 5rem;
  }
}

.tile {
  align-items: center;
  background-color: rgba(255,255,255,.1);
  border: 2px solid map-get($colors, 'text');
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
  padding: 1em .8em;
  position: relative;
  text-align: center;
  transition: all .15s linear;
  width: 100%;
  z-index: 2;
  @include app-border-radius;

  &:hover {
    background-color: transparent;
  }

  &:active {
    transform: scale(.98);
  }

  &__img {
    margin-top: 1em;
    @include square(4rem);
  }

  @include media-breakpoint-up(s) {
    height: 9em;
    justify-content: center;
  }

  @include media-breakpoint-up(sm) {
    height: 13em;

    &__img {
      margin-top: 2em;
      @include square(6rem);
    }
  }

  @include media-breakpoint-up(md) {
    height: 16em;

    &__img {
      @include square(8rem);
    }
  }

  @include media-breakpoint-up(xxl) {
    border-width: 4px;
    height: 32rem;

    &__img {
      @include square(11rem);
    }
  }
}

.preview-img {
  display: none;

  @include media-breakpoint-up(xxl) {
    display: block;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 50%;
    z-index: 0;
    @include square(50rem);

    &--left {
      left: -10rem;
      transform: translate(-50%, -50%);
      transition: opacity .15s linear, left .3s ease;

      &.active {
        left: 5rem;
      }
    }

    &--right {
      right: -10rem;
      transform: translate(50%, -50%);
      transition: opacity .15s linear, right .3s ease;

      &.active {
        right: 5rem;
      }
    }

    &.active {
      opacity: .1;
    }
  }
}
